<?php

if ( ! function_exists( 'tonda_select_woocommerce_qode_quick_view_template_single_title' ) ) {
    /**
     * Function for overriding product title template in QODE Quick View plugin template
     */
    function tonda_select_woocommerce_qode_quick_view_template_single_title() {
        the_title( '<h2  itemprop="name" class="qodef-qode-quick-view-product-title entry-title">', '</h2>' );
    }
}

if ( ! function_exists('tonda_select_woocommerce_qode_quick_view_single_link_label' ) ) {
    function tonda_select_woocommerce_qode_quick_view_single_link_label() {
        $product = wc_get_product(get_the_ID());

        if ( !empty( $product ) ) {
            $button_params = array (
                'type' => 'simple',
                'link' => get_permalink($product->get_id()),
                'text' => esc_html__('View full details', 'tonda'),
                'custom_class' => 'qodef-product-single-link'
            );

            echo tonda_select_return_button_html( $button_params );
        }
    }
}